Flecs: ecs_meta_cursor_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_meta_cursor_t Struct Reference
C API » Addons » Meta

Type that enables iterating/populating a value using reflection data. More...

`#include <meta.h>`

## Public Attributes
const ecs_world_t * | world
| The world.
ecs_meta_scope_t | scope [(32)]
| Cursor scope stack.
int16_t | depth
| Current scope depth.
bool | valid
| Does the cursor point to a valid field.
bool | is_primitive_scope
| If in root scope, this allows for a push for primitive types.
ecs_entity_t(* | lookup_action )(ecs_world_t *, const char *, void *)
| Custom entity lookup action for overriding default ecs_lookup.
void * | lookup_ctx
| Context for lookup_action.

## Detailed Description

Type that enables iterating/populating a value using reflection data.

Definition at line 617 of file meta.h.

## Member Data Documentation

## ◆ depth

int16_t ecs_meta_cursor_t::depth

Current scope depth.

Definition at line 620 of file meta.h.

## ◆ is_primitive_scope

bool ecs_meta_cursor_t::is_primitive_scope

If in root scope, this allows for a push for primitive types.

Definition at line 622 of file meta.h.

## ◆ lookup_action

ecs_entity_t(* ecs_meta_cursor_t::lookup_action) (ecs_world_t *, const char *, void *)

Custom entity lookup action for overriding default ecs_lookup.

Definition at line 625 of file meta.h.

## ◆ lookup_ctx

void* ecs_meta_cursor_t::lookup_ctx

Context for lookup_action.

Definition at line 626 of file meta.h.

## ◆ scope

ecs_meta_scope_t ecs_meta_cursor_t::scope[(32)]

Cursor scope stack.

Definition at line 619 of file meta.h.

## ◆ valid

bool ecs_meta_cursor_t::valid

Does the cursor point to a valid field.

Definition at line 621 of file meta.h.

## ◆ world

const ecs_world_t* ecs_meta_cursor_t::world

The world.

Definition at line 618 of file meta.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/meta.h